$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$     The validation kit was developed in close cooperation within the THUMS USER COMMUNITY 2 (TUC2) research project. Any use of this validation environment shall be entirely at the user's own risk and    		$     responsibility. University of Munich (LMU), AUDI AG, Autoliv, BMW AG, Daimler AG, Porsche AG, Toyota Motor Corporation, Volkswagen AG and ZF TRW do not assume any responsibility for the validity, 		$     accuracy, or applicability of any results obtained from this research model and do not assume any liability or responsibility whatsoever for any damage, claims, injury or loss of any kind that may arise 	$     from or in connection with any use of, reference to and/or reliance upon this manual. 
$
$     University of Munich (LMU), AUDI AG, Autoliv, BMW AG, Daimler AG, Porsche AG, Toyota Motor Corporation, Volkswagen AG and ZF TRW ask that the TUC 2 project will be acknowledged under references for any 	$     use of this FE model resulting in papers and publications.                    
$                   
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$  
$  ENVIRONMENT:              
$  
$  COMPONENT:                Simplified Retractor Model
$  
$  UNITS:                    mm-kg-ms
$  
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$     =======================
$     PRETENSIONER DEFINITION
$     =======================
$
$             ID
PYVAR /   500801
NAME Retractor Pretensioner TTF
$
$ SR1TTF = ret_pretensioner_ttf
$
$         Value - unit in ms
SR1TTF =  8.00
END_PYVAR
$
$             ID
PYVAR /   500802
NAME Retractor Pretensioner Delay
$
$ SR1RPd = ret_pretensioner_delay
$
$         Value - unit in ms
SR1RPd =  SR1TTF + 3.000
END_PYVAR
$
$             ID
PYVAR /   500803
NAME Retractor Pretensioner Duration
$
$ SR1PdT = ret_pretensioner_duration
$
$         Value - unit in ms
SR1PdT =  SR1RPd + 6.000
END_PYVAR
$
$             ID
PYVAR /   500804
NAME Retractor Pretensioner Power
$
$ SR1POW = ret_pretensioner_power
$
$         Value - scaling factor (default = 1.0)
SR1POW =  1.0
END_PYVAR
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$     =======================
$     LOAD LIMITER DEFINITION
$     =======================
$
$             ID
PYVAR /   500805
NAME Load Limiter value 1
$
$ SR1LL1 = Load Limiter value 1
$
$         Value - unit in N
SR1LL1 =  4100.00
END_PYVAR
$
$
$
$             ID
PYVAR /   500806
NAME Load Limiter value 2
$
$ SR1LL2 = Load Limiter value 2
$
$         Value - unit in ms
SR1LL2 =  SR1LL1 + 500.0
END_PYVAR
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$     =================
$     SPRING DEFINITION
$     =================
$
$             ID
PYVAR /   500807
NAME Spring preload
$
$ SR1SPR = Spring preload
$
$         Value - unit in kN
SR1SPR =  0.020
END_PYVAR
$
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                 PART Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500300   SHELL  500400
NAME ret_MASTER_part
0.0
 0.0
 1.0          1

END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$         IDPART   ATYPE    IMAT
PART  /   500395TIED      500495
NAME Attachment__retractor_functional_model_to_environment
        0.
        0.
       10.
END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            PID   ATYPE     MID
PART  /   500301  SPRING  500401
NAME ret_spring



END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            PID   ATYPE     MID
PART  /   500302  SPRING  500402
NAME ret_stroke



END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            PID   ATYPE     MID
PART  /   500303  SPRING  500403
NAME ret_load_limiter



END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            PID   ATYPE     MID
PART  /   500304  SPRING  500404
NAME ret_ghost



END_PART
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500321     BAR  500421
NAME ret_spring_damper


0.0
END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500322     BAR  500422
NAME ret_stroke_damper


0.0
END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500323     BAR  500423
NAME ret_load_limiter_damper


0.0
END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500324     BAR  500424
NAME ret_ghost_damper


0.0
END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500399     BAR  500499       0       0
NAME ret_ghostbelt
                    
                    
        0.
END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            PID   ATYPE     MID
PART  /   500398  SPRING  500498
NAME ret_stiff_joints



END_PART
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                 RBODY Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500395               0  500195       0               0       0        
NAME Attachment__retractor_functional_model_to_environment
        PART 500300
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500311               0  500151                  500701             0.0
NAME ret_spring_lock_constraint
        NOD 500101 500102
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500312               0  500152                 -500701             0.0
NAME ret_stroke_unlock_constraint
        NOD 500103 500104
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500313               0  500153                  500702             0.0
NAME ret_stroke_lock_constraint
        NOD 500103 500104
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500314               0  500154                 -500702             0.0
NAME ret_load_limiter_release_constraint
        NOD 500105 500106
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           RBID            ITYP    NCOG      N1      N2   ISENS   IFRAM     HRB
RBODY /   500315               0  500155                  500702             0.0
NAME ret_ghost_lock_constraint
        NOD 500107 500108
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                MATERIAL Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ
MATER /   500400     100 7.850000000E-06       0       0       0       0
                                                         1.0           0
NAME ret_MASTER_part
$        E             Poisson
     210.0                 0.3                                               0.0





$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$          IDMAT   MATYP             RHO   ISINT    ISHG  ISTRAT   IFROZ
MATER /   500495     301              0.       0       0
               0       0       0       0       0       0      0.
NAME Attachment__retractor_functional_model_to_environment
       0.0      0.05      10.0       2.0
         0         0         0
 
 
 
 
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ
MATER /   500499     205 1.200000000E-06       0       0       0       0
                                                         1.0           0
NAME ret_ghostbelt
$    NLOADIHYST
    500699    2
$        H         D
       0.0       0.0
$       k'       eta  epsilon0
                 0.1       0.0
$      mue        k0
    1.0E-6       0.0
$ epsiloni  epsilonu
     0.015       0.0
$ one blank line
 
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500401     220 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_spring
$    LCIDR      FTLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500601       1.0    0                                            0
$   LCIDUR      FTUR     MassR    NDAMPR      FTDR       KR0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDS      FTLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUS      FTUS     MassS    NDAMPS      FTDS       KS0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDT      FTLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUT      FTUT     MassT    NDAMPT      FTDT       KT0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$   MLOADR      FMLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDR      FMUR        Ir    MDAMPR      FMDR      KTR0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADS      FMLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDS      FMUS        Is    MDAMPS      FMDS      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADT      FMLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDT      FMUT        It    MDAMPT      FMDT      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500402     220 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_stroke
$    LCIDR      FTLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500602       1.0    0                                            0
$   LCIDUR      FTUR     MassR    NDAMPR      FTDR       KR0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDS      FTLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUS      FTUS     MassS    NDAMPS      FTDS       KS0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDT      FTLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUT      FTUT     MassT    NDAMPT      FTDT       KT0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$   MLOADR      FMLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDR      FMUR        Ir    MDAMPR      FMDR      KTR0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADS      FMLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDS      FMUS        Is    MDAMPS      FMDS      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADT      FMLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDT      FMUT        It    MDAMPT      FMDT      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500403     220 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_load_limiter
$    LCIDR      FTLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500603       1.0    0                                            0
$   LCIDUR      FTUR     MassR    NDAMPR      FTDR       KR0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDS      FTLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUS      FTUS     MassS    NDAMPS      FTDS       KS0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDT      FTLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUT      FTUT     MassT    NDAMPT      FTDT       KT0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$   MLOADR      FMLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDR      FMUR        Ir    MDAMPR      FMDR      KTR0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADS      FMLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDS      FMUS        Is    MDAMPS      FMDS      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADT      FMLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDT      FMUT        It    MDAMPT      FMDT      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500404     220 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_ghost
$    LCIDR      FTLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500604       1.0    0                                            0
$   LCIDUR      FTUR     MassR    NDAMPR      FTDR       KR0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDS      FTLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUS      FTUS     MassS    NDAMPS      FTDS       KS0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$    LCIDT      FTLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUT      FTUT     MassT    NDAMPT      FTDT       KT0     FELAS
    500600       1.0     0.001                 1.0       0.0       0.0
$   MLOADR      FMLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDR      FMUR        Ir    MDAMPR      FMDR      KTR0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADS      FMLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDS      FMUS        Is    MDAMPS      FMDS      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADT      FMLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
                 1.0    0
$   MUNLDT      FMUT        It    MDAMPT      FMDT      KTT0    MRELAS
                 1.0 1.000E-00                 1.0       0.0       0.0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500498     220 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_stiff
$    LCIDR      FTLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUR      FTUR     MassR    NDAMPR      FTDR       KR0     FELAS
    500600       1.0     0.001    500650       1.0       0.0       0.0
$    LCIDS      FTLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUS      FTUS     MassS    NDAMPS      FTDS       KS0     FELAS
    500600       1.0     0.001    500650       1.0       0.0       0.0
$    LCIDT      FTLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500600       1.0    0                                            0
$   LCIDUT      FTUT     MassT    NDAMPT      FTDT       KT0     FELAS
    500600       1.0     0.001    500650       1.0       0.0       0.0
$   MLOADR      FMLRIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500697       1.0    0
$   MUNLDR      FMUR        Ir    MDAMPR      FMDR      KTR0    MRELAS
    500697       1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADS      FMLSIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500697       1.0    0
$   MUNLDS      FMUS        Is    MDAMPS      FMDS      KTT0    MRELAS
    500697       1.0 1.000E-00                 1.0       0.0       0.0
$   MLOADT      FMLTIHYST    RUPLOW    RUPUPP    WALLOW    WALUPPNCDOF     WDAMP
    500697       1.0    0
$   MUNLDT      FMUT        It    MDAMPT      FMDT      KTT0    MRELAS
    500697       1.0 1.000E-00                 1.0       0.0       0.0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500421     204 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_damper
$     LCID    MLTPLRIHYST
                 1.0    0
$    LCIDU               NDAMP
                 1.0    500655       1.0
$        K         D        IU
 0.0000001                    
$     MASS        K0
    0.0001         0
$      Ft*       Fc*    dtelim    dcelim
                        1000.0         0
$ one blank line

$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500422     204 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_stroke_damper
$     LCID    MLTPLRIHYST
                 1.0    0
$    LCIDU               NDAMP
                 1.0    500656       1.0
$        K         D        IU
 0.0000001                    
$     MASS        K0
    0.0001         0
$      Ft*       Fc*    dtelim    dcelim
                        1000.0         0
$ one blank line

$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500423     204 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_load_limiter_damper
$     LCID    MLTPLRIHYST
                 1.0    0
$    LCIDU               NDAMP
                 1.0    500657       1.0
$        K         D        IU
 0.0000001                    
$     MASS        K0
    0.0001         0
$      Ft*       Fc*    dtelim    dcelim
                        1000.0         0
$ one blank line

$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$            MID   matyp         DENSITY   ISINT    ISHG  ISTRAT   IFROZ  
MATER /   500424     204 1.000000000E-09                       0
               0       0       0       0       0       0      1.
NAME ret_ghost_damper
$     LCID    MLTPLRIHYST
                 1.0    0
$    LCIDU               NDAMP
                 1.0    500658       1.0
$        K         D        IU
 0.0000001                    
$     MASS        K0
    0.0001         0
$      Ft*       Fc*    dtelim    dcelim
                        1000.0         0
$ one blank line

$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$
$
$
$
$
$
$
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                 ELEMENT Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
SHELL /   500281  500300  500181  500184  500183  500180
SHELL /   500282  500300  500181  500184  500185  500182
SHELL /   500283  500300  500181  500187  500186  500180
SHELL /   500284  500300  500181  500187  500188  500182
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
SHELL /   500285  500300  500100  500179  500176  500176
SHELL /   500286  500300  500100  500177  500176  500176
SHELL /   500287  500300  500100  500175  500176  500176
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$ Spring elements below are the Stiffness elements
$
$           ELE#   IPART      N1      N2   IFRAM
$ Spring
SPRING/   500201  500301  500101  500102  500175
$
$ Stroke
SPRING/   500202  500302  500103  500104  500175
$
$ Load Limiter
$$$SPRING/   500203  500303  500106  500105  500175
SPRING/   500203  500303  500105  500106  500175
$
$ Ghost
SPRING/   500204  500304  500107  500108  500175
$
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$ Bar elements below are the Damping elements for Damping functions
$
$           ELE#   IPART      N1      N2           IFRAM
BAR   /   500221  500321  500101  500102
BAR   /   500222  500322  500103  500104
BAR   /   500223  500323  500105  500106
BAR   /   500224  500324  500107  500108
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$ Spring elements below are the zero-length rigid elements for RBODYs
$
$           ELE#   IPART      N1      N2   IFRAM
SPRING/   500231  500398  500100  500101  500175
SPRING/   500232  500398  500102  500103  500175
SPRING/   500233  500398  500104  500105  500175
SPRING/   500234  500398  500106  500107  500175
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$ Bar elements below are the seatbelt elements
$
BAR   /   500299  500399  500199  500198
BAR   /   500298  500399  500198  500108
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IDSR   NODFX  FRICPR  TOLSLP   FRACT  IDFRIC   ILOCK
SLIPR /   500297  500181      0.      0.    0.01       0       1
NAME ret_slipring
        ELE 500298
        END
        ELE 500299
        END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                  NODE Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
NODE  /   500101           0.000           0.000         -1295.0       0       0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
NODE  /   500180          20.000           0.000           0.000       0       0
NODE  /   500181           0.000           0.000           0.000       0       0
NODE  /   500182         -20.000           0.000           0.000       0       0
NODE  /   500183          20.000           0.000          20.000       0       0
NODE  /   500184           0.000           0.000          20.000       0       0
NODE  /   500185         -20.000           0.000          20.000       0       0
NODE  /   500186          20.000           0.000         -20.000       0       0
NODE  /   500187           0.000           0.000         -20.000       0       0
NODE  /   500188         -20.000           0.000         -20.000       0       0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
NODE  /   500179           0.000           0.000         -1315.0       0       0
NODE  /   500177           0.000           0.000         -1275.0       0       0
NODE  /   500176          20.000           0.000         -1295.0       0       0
NODE  /   500175           0.000          20.000         -1295.0       0       0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
NODE  /   500100           0.000           0.000         -1295.0       0       0
NODE  /   500102           0.000           0.000         -1200.0       0       0
NODE  /   500103           0.000           0.000         -1200.0       0       0
NODE  /   500104           0.000           0.000          -800.0       0       0
NODE  /   500105           0.000           0.000          -800.0       0       0
NODE  /   500106           0.000           0.000          -750.0       0       0
NODE  /   500107           0.000           0.000          -750.0       0       0
NODE  /   500108           0.000           0.000          -650.0       0       0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$ Element_Seatbelt_Nodes
NODE  /   500198           0.000           0.000           0.000       0       0
NODE  /   500199        -200.000           0.000           0.000       0       0
$
$ COG nodes for RBODYs:
NODE  /   500195             0.0             0.0             0.0
$
NODE  /   500151             0.0             0.0             0.0
NODE  /   500152             0.0             0.0             0.0
NODE  /   500153             0.0             0.0             0.0
NODE  /   500154             0.0             0.0             0.0
NODE  /   500155             0.0             0.0             0.0
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                           ========================                            
$                                 CURVE Cards                            
$                           ========================                            
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500601       0     1.0     1.0     0.0     0.0
NAME ret_spring_LOADING_CURVE
$
$               |----X-vals----||----Y-Vals----|
$               displacement[mm]       force[kN]
                       -1000.000      -50000.000
                        -100.000        <SR1SPR>
                           0.000        <SR1SPR>
                          25.000           1.500
                          35.000           4.000
                          40.000           8.000
                          50.000          20.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500602       0     1.0 <SR1POW>     0.0     0.0
NAME ret_stroke
$
$               |----X-vals----||----Y-Vals----|
$               displacement[mm]       force[kN]
                        -250.000          -1.000
                        -200.000           0.000
                        -120.000           0.500
                         -25.000           2.490
                           0.000           2.500
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500603       0  1000.0   0.001     0.0     0.0
NAME ret_load_limiter
$
$               |----X-vals----||----Y-Vals----|
                          -1.000   -60000000.000
                           0.000           0.000
                           0.002         500.000
                           0.018        1500.000
                           0.040        <SR1LL1>
                           0.400        <SR1LL2>
                END
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500604       0     1.0     1.0     0.0     0.0
NAME ret_ghost
$
$               |----X-vals----||----Y-Vals----|
$               displacement[mm]       force[kN]
                       -1000.000      -50000.000
                           0.000           0.000
                        1000.000       50000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500600       0  1000.0   0.001     0.0     0.0
NAME ret_stiff_function_for_LOADING_UNLOADING_V00
$
$               |----X-vals----||----Y-Vals----|
$                displacement[m]        force[N]
                          -1.000   -60000000.000
                           0.000           0.000
                           1.000    60000000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500699       0     1.0   0.001      0.      0.       0       0
NAME ret_1D_Ghostbelt
$               |----X-vals----||----Y-Vals----|
$                    Strain in -      Force in N
                           0.000           0.000
                           0.020       30000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500655       0     1.0   0.001     0.0     0.0
NAME ret_spring_DAMPING_CURVE
$
$               |----X-vals----||----Y-Vals----|
$                  velocity[m/s]        force[N]
                           0.000           0.000
                        1000.000       50000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500656       0     1.0   0.001     0.0     0.0
NAME ret_stroke_DAMPING_CURVE
$
$               |----X-vals----||----Y-Vals----|
$                  velocity[m/s]        force[N]
                           0.000           0.000
                        1000.000       75000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500657       0     1.0   0.001     0.0     0.0
NAME ret_load_limiter_DAMPING_CURVE
$
$               |----X-vals----||----Y-Vals----|
$                  velocity[m/s]        force[N]
                           0.000           0.000
                        1000.000       50000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500658       0     1.0   0.001     0.0     0.0
NAME ret_ghost_DAMPING_CURVE
$
$               |----X-vals----||----Y-Vals----|
$                  velocity[m/s]        force[N]
                           0.000           0.000
                        1000.000       50000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500650       0     1.0   0.001     0.0     0.0
NAME ret_damping_curve
$
$               |----X-vals----||----Y-Vals----|
$                  velocity[m/s]        force[N]
                           0.000           0.000
                        1000.000        5000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           IFUN     pts  scalex  scaley  shiftx  shifty
FUNCT /   500697       0     1.0     1.0     0.0     0.0
NAME ret_stiff_ANGULAR_LOADING
$
$               |----X-vals----||----Y-Vals----|
$                  Angle[radian]     Moment[N.m]
                          -1.000      -10000.000
                           0.000           0.000
                           1.000       10000.000
                END
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                          =======================                              
$                          COORDINATE SYSTEM cards                              
$                          =======================                              
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$          IFRAM  IFRATY   IAXIS
FRAME /   500175       2       1
NAME ret_reference_coordinate_system
$ 
$  Coordinate system is defined such that the local X-axis is along the pull-in
$  direction of the chain of joints.
$ 
$           Nod1    Nod2    Nod3
          500100  500177  500175
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                              =================                                
$                              PART_SENSOR cards                                
$                              =================                                
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                                  =========                                    
$                                  SENSORING                                    
$                                  =========                                    
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$ Sensor that locks the spring and releases the stroke
$
$            SID    ITYP IREVFLG
SENSOR/   500701       1       1
NAME ret_spring_lock_and_stroke_release
$          TSENS
        <SR1RPd>
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$
$ Sensor that locks the stroke, the ghost and releases the load limiter
$
$            SID    ITYP IREVFLG
SENSOR/   500702       1       1
NAME ret_stroke_lock_ghost_lock_load_limiter_release
$          TSENS
        <SR1PdT>
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                                 ===========
$                                 THxxx cards
$                                 ===========
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$           ELE#
THELE /   500201
NAME ret_spring
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----$
$           ELE#
THELE /   500202
NAME ret_stroke
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----$
$           ELE#
THELE /   500203
NAME ret_load_limiter
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----$
$           ELE#
THELE /   500204
NAME ret_ghost
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$                                                                               
$                              =================                                
$                              ATTACHMENT cards                                
$                              =================                                
$                                                                               
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----$
$
$ Following card can be used to connect the functional model to the environment
$ (e.g. sled structure)
$
$    PART  500300 - Retractor functional model
$    PART 1300000 - Environment (e.g. sled structure)
$
$
$         IDTIED   IPART
TIED  /   500295  500395
NAME Attachment__retractor_functional_model_to_environment
        PART    500300
        END
        PART    1300000
        END
$
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
$---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
